--
-- 4.2.0 TO 4.2.1 --
--

--
--
-- NAME        : Country
-- REFERENCES  : NIL
--
-- DESCRIPTION : Various information stored about a country.  Nothing particularily important
--               but useful in some aspects of the site.

CREATE TABLE ethereal.Country (
  CountryTLD          CHAR(2)        NOT NULL,
  CountryName         VARCHAR(50)    NOT NULL,
  CountryFIPS104      CHAR(2)        NOT NULL,
  CountryISO2         CHAR(2)        NOT NULL,
  CountryISO3         CHAR(3)        NOT NULL,
  CountryISONo        SMALLINT,
  CountryCapital      VARCHAR(50),
  CountryRegions      VARCHAR(255),
  CountryCurrency     VARCHAR(50),
  CountryCurrencyCode CHAR(3),
  CountryPopulation   INT,
  CONSTRAINT pkCountry                PRIMARY KEY (CountryTLD, CountryName)
);

-- Remove additional entries to prevent confusion
DELETE FROM ethereal.Tag WHERE TagName='TmplReset' AND TagType='user';

-- Change to the templated admin panel --
DELETE FROM ethereal.Tag WHERE TagType='admin' AND TagName IN ('SetPath','TagAccessAlt','TagAccessPri','TagAccessRealm','TagAccessTitle','TagAuditCode','TagAuditEnd','TagAuditHeadAction','TagAuditHeadDate','TagAuditHeadEvent','TagAuditHeadHost','TagAuditHeadRealm','TagAuditHeadUser','TagAuditLevel','TagAuditOps','TagAuditRealm','TagAuditRestrict','TagAuditSearch','TagAuditStart','TagAuditTime','TagAuditTitle','TagAuditUser','TagContactAdd','TagContactFilter','TagContactList','TagContactName','TagContactTitle','TagContactType','TagDocCurrent','TagDocSelect','TagDocTitle','TagFaqAdd','TagFaqAnswer','TagFaqDetail','TagFaqGroup','TagFaqListing','TagFaqNGroup','TagFaqNQuestion','TagFaqQuestion','TagFaqTitle','TagFontAddition','TagFontCode','TagFontName','TagFontTitle','TagFontType','TagGenreAdd','TagGenreDesc','TagGenreList','TagGenreName','TagGenreOrder','TagGenreTitle','TagGummyAdd','TagGummyClass','TagGummyGroup','TagGummyInject','TagGummyList','TagGummyName','TagGummyPath','TagGummySelect','TagGummyTitle','TagMnuFont','TagMnuGummy','TagRealmAccess','TagRealmAdd','TagRealmAlias','TagRealmHeadAccess','TagRealmHeadAlias','TagRealmHeadCreate','TagRealmHeadLang','TagRealmHeadName','TagRealmHeadTags','TagRealmHeadVerified','TagRealmImgHeight','TagRealmImgSize','TagRealmImgWidth','TagRealmLang','TagRealmName','TagRealmSelect','TagRealmTag','TagRealmTitle','TagRealmType','TagRealmVerified','TagRotateConduct','TagRotateList','TagRotateName','TagRotateTemplate','TagRotateTitle','TagUserAdmin','TagUserAlias','TagUserAliases','TagUserBan','TagUserChat','TagUserDetails','TagUserEmail','TagUserExpires','TagUserField','TagUserFormat','TagUserHome','TagUserHost','TagUserHosts','TagUserJavascript','TagUserKeyword','TagUserLast','TagUserLogin','TagUserMod','TagUserName','TagUserPass','TagUserPrivs','TagUserPuppets','TagUserRange','TagUserReg','TagUserSearch','TagUserSuper','TagUserTitle','TagUserVer','TagWebAdd','TagWebClone','TagWebFilter','TagWebList','TagWebPost','TagWebSubject','TagWebTitle','TagWebTopic','TmplFont','TmplFontColor','TmplFontFace','TmplFontSection','TmplFontSize','TxtConf','TxtDetails','TxtOpen','TxtSelect');

